## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FunctionStartsWith Class Reference

XPath implementation of "starts-with" function. More...

`#include <FunctionStartsWith.hpp>`

Inheritance diagram for FunctionStartsWith:

[legend]
Collaboration diagram for FunctionStartsWith:

[legend]
List of all members.

## Public Types

- typedef Function ParentType

## Public Methods

- FunctionStartsWith ()
- virtual ~FunctionStartsWith ()
- virtual XObjectPtr execute (XPathExecutionContext &executionContext, XalanNode *context, const XObjectPtr arg1, const XObjectPtr arg2, const LocatorType *locator) const
    Execute an XPath function object. More...
- virtual FunctionStartsWith* clone (MemoryManagerType &theManager) const
    Create a copy of the function object. More...

## Protected Methods

- virtual const XalanDOMString& getError (XalanDOMString &theResult) const
    Get the error message to report when the function is called with the wrong number of arguments. More...

## Detailed Description

XPath implementation of "starts-with" function.

## Member Typedef Documentation

typedef Function FunctionStartsWith::ParentType

## Constructor & Destructor Documentation

FunctionStartsWith::FunctionStartsWith ( | )

FunctionStartsWith::~FunctionStartsWith ( | )`[virtual]`

## Member Function Documentation

FunctionStartsWith * FunctionStartsWith::clone ( | MemoryManagerType & theManager ) const`[virtual]`

Create a copy of the function object.

Returns:
  pointer to the new object

Reimplemented from Function.

XObjectPtr FunctionStartsWith::execute ( | XPathExecutionContext & executionContext,
| XalanNode * context,
| const XObjectPtr arg1,
| const XObjectPtr arg2,
| const LocatorType * locator ) const`[virtual]`

Execute an XPath function object.

The function must return a valid object. Called if function has two parameters.

Parameters:

  executionContext | executing context
  context | current context node
  arg1 | pointer to XObject argument
  arg2 | pointer to XObject argument
  locator | LocatorType instance for the XPath expression that contains the function call

Returns:
  pointer to the result XObject

Reimplemented from Function.

const XalanDOMString & FunctionStartsWith::getError ( | XalanDOMString & theResult ) const`[protected, virtual]`

Get the error message to report when the function is called with the wrong number of arguments.

Returns:
  function error message

Reimplemented from Function.

The documentation for this class was generated from the following file:

- FunctionStartsWith.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.